package com.style24.front.biz.service;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.style24.front.biz.dao.TsfKollusDao;
import com.style24.persistence.domain.KollusResult;

import lombok.extern.slf4j.Slf4j;

/**
 * 카테노이드 Kollus 동영상업로드 결과 Service
 *
 * @author gagamel
 * @since 2021. 4. 19
 */
@Service
@Slf4j
public class TsfKollusService {

	@Autowired
	private TsfKollusDao kollusDao;

	/**
	 * 카테노이드 Kollus 상품동영상 업로드 결과 처리
	 * @param goods
	 * @author gagamel
	 * @since 2021. 4. 19
	 */
	@Transactional("shopTxnManager")
	public void updateGoodsVideoResult(KollusResult result) {
		kollusDao.updateGoodsVideo(result);
	}

	/**
	 * 카테노이드 Kollus 리뷰동영상 업로드 결과 처리
	 * @param result - 업로드결과 정보
	 * @author gagamel
	 * @since 2021. 4. 19
	 */
	@Transactional("shopTxnManager")
	public void updateReviewVideoResult(KollusResult result) {
		kollusDao.updateReviewVideo(result);
	}

	/**
	 * 카테노이드 Kollus 전시동영상 업로드 결과 처리
	 * @param result - 업로드결과 정보
	 * @author gagamel
	 * @since 2021. 4. 19
	 */
	@Transactional("shopTxnManager")
	public void updateDisplayVideoResult(KollusResult result) {
		kollusDao.updateDisplayVideoPreview(result);
		kollusDao.updateDisplayVideo(result);
	}

	/**
	 * 카테노이드 Kollus 상품 상세 동영상 업로드 결과 처리
	 * @param goods
	 * @author eskim
	 * @since 2021. 7. 15
	 */
	@Transactional("shopTxnManager")
	public void updateGoodsDescVideoResult(KollusResult result) {
		kollusDao.updateGoodsDescVideo(result);
	}

}
